/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#define STREAM_LIB

#include	"task.h"
#include	"stream.h"


extern SEM stream_lock;

int
s_exist(STREAM * s)
{
int ret;
	lock_task(stream_lock);
	if ( s == 0 ) {
		ret = 0;
		goto end;
	}
	if ( s->h.tbl == 0 ) {
		ret = 0;
		goto end;
	}
	ret = 1;
end:
	unlock_task(stream_lock,"s_exist");
	return ret;
}